Subject: Re: [patch 03/14] e1000: omit stats for broken counter in 82543

From: Arjan van de Ven <[email-masked]>
Date: Fri, 15 Dec 2006 15:33:03 +0100

Jeff Garzik wrote:
> Needs to use an "i have broken stats" feature flag, rather than adding 
> yet another mac_type test into the code.  This testing of MAC type 
> rather than feature flags is a major e1000 problem, and it bloats the 
> driver quite a bit.  Intel has been told for /months/ this is a problem, 
> yet I still see patches like this.
> 
it is "nice" that you say this, and Intel is working on a "flags" 
based driver. However that is, as you state yourself here, a major 
invasive change, and thus not suitable for 2.6.20 inclusion. Yet these 
fixes are important bugfixes; I don't think it's fair to hold these 
hostage..

Greetings,
   Arjan van de Ven